#include <bits/stdc++.h>
using namespace std;
int main()
{
    string a,b;
    cin>>a>>b;
    int ans=0;
    int cnt=0;
    int n=a.length(),m=b.length();
    for(char c:b)if(c=='a')++cnt;

    if(cnt==m)
    {
        cnt=0;
        for(char c:a)if(c=='a')++cnt;
        cout<<max(0,cnt-m+1)<<endl;
        for(int i=0;i<n;++i)
        {
            if(a[i]=='a'&&cnt>=m)
            {
                a[i]='*';
                --cnt;
            }
        }
        cout<<a<<endl;
        return 0;
    }
    cout<<a<<endl;

}